org.richfaces.fragment.calendar

## Class RichFacesCalendar

- java.lang.Object
- - org.richfaces.fragment.calendar.RichFacesCalendar

- All Implemented Interfaces:
    Calendar, AdvancedInteractions<RichFacesCalendar.AdvancedCalendarInteractions>

      public class RichFacesCalendar
      extends Object
      implements Calendar, AdvancedInteractions<RichFacesCalendar.AdvancedCalendarInteractions>

  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesCalendar.AdvancedCalendarInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesCalendar()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesCalendar.AdvancedCalendarInteractions` | `advanced()`
    `org.joda.time.DateTime` | `getDate()` Gets the selected date.
    `void` | `setDate(org.joda.time.DateTime d)` Selects the passed date into the calendar component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesCalendar

          public RichFacesCalendar()

  - ### Method Detail

    - #### advanced

          public RichFacesCalendar.AdvancedCalendarInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesCalendar.AdvancedCalendarInteractions>`

    - #### getDate

          public org.joda.time.DateTime getDate()

      Description copied from interface: `Calendar`
      Gets the selected date.
      Specified by:
        `getDate` in interface `Calendar`
      Returns:
        the date which is currently set into the calendar component

    - #### setDate

          public void setDate(org.joda.time.DateTime d)

      Description copied from interface: `Calendar`
      Selects the passed date into the calendar component.
      Specified by:
        `setDate` in interface `Calendar`
      Parameters:
        `d` - the date to be selected

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.